import dynamix_sdk.base as _base


class CloudapiVinsNatRuleDelResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsNatRuleDelProtocol(_base.BasePostAPIFunctionProtocol):
    def nat_rule_del(
        self,
        *,
        vins_id: int,
        rule_id: int,
    ) -> CloudapiVinsNatRuleDelResultBool:
        ...
